#ifndef __ANFIBIO_H__
#define __ANFIBIO_H__
#include "animal.h"
#include <iostream>
#include <string>

/* @brief Classe Anfibio, que modela um animal do tipo Anfíbio, que toma Animal como classe pai a herdar seus atributos
* @param 	Atributos privados:
* 				total_mudas - número de mudas do animal,
*					ultima_muda - ultima muda do animal
*					Métodos públicos:
*					virtual void print()=0; - metodo virtual para forçar sobrecarga de operadores
*					getTotal_mudas - retorna o número total de mudas
*					setTotal_mudas - modifica o número total de mudas
*					getUltima_muda - retorna a última muda
*					setUltima_muda - modifica a última muda
*					Anfibio - Construtor cria um animal do tipo Anfíbio, que toma Animal como classe pai a herdar seus atributos
*					~Anfibio - destrutor de Anfibio
*/
using namespace std;

class Anfibio: public Animal{
	private:
		int total_mudas;
		string ultima_muda;


	public:
		virtual void print()=0;
		int getTotal_mudas();
		void setTotal_mudas(int total_changes);
		string getUltima_muda();
		void setUltima_muda(string last_change);
		Anfibio(int identity, string clas, string name, string scientific,
		char sex, float size, string diet, string baptism, Veterinario* vet,
		Tratador* caretaker, int total_changes, string last_change);
		~Anfibio();
};

#endif
