#ifndef __ANFIBIOEXOTICO_H__
#define __ANFIBIOEXOTICO_H__

#include "anfibio.h"
#include "animalexotico.h"


/* @brief Classe AnfibioExotico, que modela um  Anfíbio do tipo Exotico, que toma Anfibio e AnimalExotico
*				  como classes pai a herdar seus atributos
* @param 	Métodos públicos:
*					friend std::istream& operator>> (std::istream &input, AnfibioExotico &anfexo) - Sobrecarga do operador de extração
*					void print() - método para impressão das informações do AnfibioExotico
*					AnfibioExotico - Construtor cria um animal do tipo AnfíbioExotico
*					~AnfibioExotico() - destrutor do AnfibioExotico
*
*/


class AnfibioExotico: public Anfibio, public AnimalExotico {
	private:

	public:
		friend std::istream& operator>> (std::istream &input, AnfibioExotico &anfexo);
		void print(){
							 cout << "ID: " << id << endl;
							 cout << "Nome: " << nome << endl;
							 cout << "Classe: " << classe << endl;
							 cout << "Cientifico: " << cientifico << endl;
							 cout << "Sexo: " << sexo << endl;
							 cout << "Dieta: "<< dieta << endl;
							 cout << "Veterinario :" << veterinario << endl;
							 cout << "Tratador: " << tratador << endl;
							 cout << "Batismo: " << batismo << endl;
							 cout << "Total de Mudas :" << total_mudas << endl;
							 cout << "Ultima muda: " << ultima_muda <<endl;
							 cout << "Ibama: "<< ibama << endl;
							 cout << "Pais de Origem: " << pais_origem << endl;
							};
		AnfibioExotico(int identity, string clas, string name, string scientific, char sex, float size,
    				string diet, string baptism, Veterinario* vet, Tratador* caretaker,
    				int total_changes, string last_change, string biernr, string origin_country);
		~AnfibioExotico();

};

#endif
