#ifndef __TRATADOR_H__
#define __TRATADOR_H__
#include "funcionario.h"
#include <iostream>
#include <string>

/* @brief Classe Tratador, que modela um Tratador e toma a classe Funcionario como pai, e herda seus atributos

*					Métodos públicos:
*					friend std::istream& operator>> (std::istream &input,Tratador &t) Sobrecarga do operador de extração
*					friend std::ostream& operator<< (std::ostream &output, Tratador const t) Sobrecarga do operador de inserção
*					Tratador - Construtor cria um ser do tipo Tratador, inicializando os seus atributos
*					void print()=0 - método para impressão das informações do Tratador
*					~Tratador- Destrutor de Tratador
*/

class Tratador: public Funcionario {
	private:


	public:
		friend std::istream& operator>> (std::istream &input,Tratador &t);
		friend std::ostream& operator<< (std::ostream &output, Tratador const t);
		void print(){};
		Tratador(int identity, string role, string name, string doc_cpf, short age, char blood_type, char rh_factor, string specialty);
		~Tratador();
};

#endif
